# Interface methods for submodule: SignedMaurerDistanceMapImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: SignedMaurerDistanceMapImageFilter
class SignedMaurerDistanceMapImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSquaredDistance(self, _arg: bool) -> None:
		""""""
		...

	def GetSquaredDistance(self) -> bool:
		""""""
		...

	def SquaredDistanceOn(self) -> None:
		""""""
		...

	def SquaredDistanceOff(self) -> None:
		""""""
		...

	def SetInsideIsPositive(self, _arg: bool) -> None:
		""""""
		...

	def GetInsideIsPositive(self) -> bool:
		""""""
		...

	def InsideIsPositiveOn(self) -> None:
		""""""
		...

	def InsideIsPositiveOff(self) -> None:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> int:
		""""""
		...

